#!/bin/sh


killall mydaemon.out
killall guider3-arm
sleep 1

M3HEXVERSION="2.1.3"
VERSIONCFG=version.cfg
WORKDIR=$(cd `dirname $0`; pwd)
echo "[VersionInfo]" > /opt/$VERSIONCFG
echo "ControlVersion="$M3HEXVERSION >> /opt/$VERSIONCFG

if [ -f $WORKDIR/start.img ];then
    cat $WORKDIR/start.img > /dev/fb0
fi


if [ -f $WORKDIR/run.sh ]; then
        $WORKDIR/run.sh &
fi

echo "UpdateFlag=1" >> /opt/$VERSIONCFG
sleep 20

if [ -f $WORKDIR/end.img ];then
    cat $WORKDIR/end.img > /dev/fb0
fi


reboot -f 
